Basque Cyber Security Centre - Zibersegurtasun Euskal Zentroa

Hainbat ahultasun MicroSCADA Pro SYS600-n

Argitalpen data: 2018/07/23

Garrantzia: Kritikoa

Kaltetutako baliabideak:

MicroSCADA Pro SYS600 9.2, 9.3, 9.4

Azalpena: Kaspersky Labseko Vladimir Dashchenko ikertzaileak ahultasun honen berri eman du goian aipatutako produktuaren bertsioetan. Autentifikatutako erasotzaile batek ahultasun hau balia lezake, eta ondorioz, prozesuaren urruneko blokeoa eragin liteke edo kaltetutako sisteman kode arbitrarioa exekutatu.

Gainera, Microsoftek arazo ezagun bat dokumentatu du (berrabiarazpen buklea), Sentinel HASP kontrolatzaile zaharrekin, Microsoften segurtasun eguneraketak ezartzerakoan 2018ko martxoan eta hurrengoetan. ABBk konfirmatu ditu buklearen berrabiarazpen arazoak Windows 7 eta Windows Server 2008 SP2 sistemekin gutxienez. Ohar honen argibideak jarraitzea gomendatzen da Sentinel HASP / LDK 7.80 bertsioa kontrolatzaile berrienekin instalatzeko, Microsoften segurtasun eguneraketak ezarri aurretik.

Konponbidea:

Arazoa Gemaltok konpondu du produktuaren hurrengo bertsioan:

  • Sentinel HASP/LDK License Manager-en 7.80 bertsioa

ABBk kaltetutako erabiltzaileei gomendatzen die eguneraketa hori lehenbailehen instalatzea.

Eguneraketa ondoko sistema eragileetan erabil daiteke: Windows 7 SP1, Windows 8.1 SP1, Windows Server 2008 R2 SP1, Windows Server 2012 R2, Windows Server 2016, Windows 10 Version 1709. Sistema eragilearen bertsio zaharragoak ere seguruenik erabat bateragarriak izango dira, baina Gemaltok ez du horrelakorik bermatzen. Goian aipatutako sistema eragileez gain, ABBk eguneraketa Windows Server 2008 SP2-n probatu du.

Xehetasuna:

Urrunetik kode arbitrarioa exekutatzea: Sentinel HASP Run-time Environment zerbitzuan dagoen ahultasun bat balia lezake erasotzaile batek urrunetik, bereziki sortutako fitxategi bat bertara igoz eta bufferraren gainezkatzea eraginez. Horrela kode arbitrarioa exekuta liteke edo urrunetik prozesua itzali (zerbitzuaren ukapena). Ahultasun horietarako honako identifikatzaileak erabili dira: CVE-2017-11498, CVE-2017-11497, CVE-2017-11496, CVE-2017-12818, CVE-2017-12819, CVE-2017-12820, CVE-2017-12821, CVE-2017-12822.

Etiketak: SCADA, Ahultasuna